#include <windows.h>
#include "Ticker.h"

Ticker::Ticker(double frames)
{
}

void Ticker::update()
{
	double temp=(double)GetTickCount();
	if(  (temp-last)/1000.0 >= interval)
	{
		//we must then update
		count++;
		last = temp;
	}
	lastelapsed = currentelapsed;
	currentelapsed=temp;
}

void Ticker::start(double frames)
{
	fps = frames;
	interval = 1.0/fps;
	count = 0;
	last = (double)GetTickCount();
}

unsigned long Ticker::get()
{
	return count;
}

double Ticker::framespersecond()
{
	if(currentelapsed-lastelapsed>0)
	{
		lastfpsreturned=1000.0/((double)currentelapsed - (double)lastelapsed);
		return lastfpsreturned;
	}else{
		return lastfpsreturned;
	}
}