#ifndef _CELL_
#define _CELL_

#include "Trigger.h"
#include "char.h"
#include "object.h"
#include "Constants.h"

struct tile
{
	//index of texture in main texture array
	int index;
	float zoom;
};

struct cell
{
	//indices:
	/*
		0 = floor
		1 = facing up
		2 = facing right
		3 = facing left
		4 = facing down
		5 = roof
		6 = FLAT RENDERED
		see them defined above...
	*/
	struct tile tiles[7];

	struct character *charact;

	struct object *obj;

	bool passable;
};

#endif