#ifndef __OBJECT_H__
#define __OBJECT_H__

struct object
{
	double realX, realY;

	//coords in the cell matrix
	int worldRow, worldCol;

	/*
		contains index of texture in main texture array
	*/
	int animation;

	//number of frames in the above animation
	int framecount;

	//zoom is used when object is rendered
	//larger zoom = larger object
	double zoom;

	//texture coordinates to be displayed
	double framebegin, frameend;

	//last animation used (needed for display when char not moving)
	//this is the index inside <animation>
	int lastanimation;

	//units per frame
	double speed;
};


#endif